Package skyview.geometry.projecter

# Class Zea

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Zea

All Implemented Interfaces:
  `Serializable`, `Component`

public class Zea extends Projecter

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Zea.ZeaDeproj`

## Constructor Summary

Constructors
Constructor
Description
`Zea()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description for the component
`String`
`getName()`
Get a name for the component
`Deprojecter`
`inverse()`
Get this inverse of the transformation
`boolean`
`isInverse(Transformer t)`
Is this an inverse of some other transformation?
`final void`
`transform(double[] sphere, double[] plane)`
Project a point from the sphere to the plane.
`boolean`
`validPosition(double[] plane)`
Is this a valid position in the projection plane for this image.

### Methods inherited from class skyview.geometry.Projecter

`allValid, getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, straddle, straddleable, straddleComponents, tissot`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Zea

public Zea()

## Method Details

### getName

public String getName()
Get a name for the component

### getDescription

public String getDescription()
Get a description for the component

### inverse

public Deprojecter inverse()
Get this inverse of the transformation

Specified by:
  `inverse` in class `Projecter`

### isInverse

public boolean isInverse(Transformer t)
Is this an inverse of some other transformation?

Specified by:
  `isInverse` in class `Transformer`

### transform

public final void transform(double[] sphere, double[] plane)
Project a point from the sphere to the plane.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `sphere` - a double[3] unit vector
  `plane` - a double[2] preallocated vector.

### validPosition

public boolean validPosition(double[] plane)
Description copied from class: `Projecter`
Is this a valid position in the projection plane for this image. This default is appropriate for all projections where the projection plane is infinite.

Overrides:
  `validPosition` in class `Projecter`